{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "PARAM_COMMENTAIRES"; 
            externalType = VARCHAR2; 
            name = paramCommentaires; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 500; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PARAM_KEY"; 
            externalType = VARCHAR2; 
            name = paramKey; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 80; 
        }, 
        {
            columnName = "PARAM_ORDRE"; 
            externalType = NUMBER; 
            name = paramOrdre; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PARAM_VALUE"; 
            externalType = VARCHAR2; 
            name = paramValue; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 180; 
        }, 
        {
            columnName = "PARAM_TYPE_ID"; 
            externalType = NUMBER; 
            name = typeId; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (paramOrdre, paramKey, paramValue, paramCommentaires, typeId); 
    className = "org.cocktail.mangue.modele.grhum.EOGrhumParametres"; 
    classProperties = (paramKey, paramValue, paramCommentaires, toTypeParametre); 
    externalName = "GRHUM.GRHUM_PARAMETRES"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (paramKey, paramValue, paramCommentaires, toTypeParametre); 
        "_nameInObjectStore" = "GRHUM_PARAMETRES"; 
    }; 
    name = GrhumParametres; 
    primaryKeyAttributes = (paramOrdre); 
    relationships = (
        {
            destination = GrhumParametresType; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = typeId; sourceAttribute = typeId; }); 
            name = toTypeParametre; 
        }
    ); 
}
